NAND_READ_ECC(9)

NAME
nand_read_ecc - [MTD Interface] MTD compability function for nand_do_read_ecc

SYNOPSIS

int nand_read_ecc (struct mtd_info * mtd, loff_t from, size_t len, size_t * retlen, u_char * buf, u_char * oob_buf, struct nand_oobinfo * oobsel);

ARGUMENTS

mtd MTD device structure

from
    offset to read from

len number of bytes to read

retlen
    pointer to variable to store the number of read bytes

buf the databuffer to put data

oob_buf
    filesystem supplied oob data buffer

oobsel
    oob selection structure

DESCRIPTION

This function simply calls nand_do_read_ecc with flags = 0xff

AUTHOR
Thomas Gleixner <tglx@linutronix.de>.